{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    My Achievements
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-archive"></i>
                My Achievements
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">

            </div>
            <div>
                <form method="POST">{% csrf_token %}
                    <table class="table table-hover" style="table-layout:fixed">
                        <thead>
                        <tr>
                            <th style="word-wrap: break-word">S. No.</th>
                            <th style="word-wrap: break-word">Description</th>
                            <th style="word-wrap: break-word">Semester</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for achievement in list_of_achievements %}
                            <tr>
                                <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                                <td style="word-wrap: break-word">{{ achievement.description }}</td>
                                <td style="word-wrap: break-word">
                                    {% if achievement.semester_number == 1 %}
                                        FIRST
                                    {% endif %}
                                    {% if achievement.semester_number == 2 %}
                                        SECOND
                                    {% endif %}
                                    {% if achievement.semester_number == 3 %}
                                        THIRD
                                    {% endif %}
                                    {% if achievement.semester_number == 4 %}
                                        FOURTH
                                    {% endif %}
                                    {% if achievement.semester_number == 5 %}
                                        FIFTH
                                    {% endif %}
                                    {% if achievement.semester_number == 6 %}
                                        SIXTH
                                    {% endif %}
                                    {% if achievement.semester_number == 7 %}
                                        SEVENTH
                                    {% endif %}
                                    {% if achievement.semester_number == 8 %}
                                        EIGHTH
                                    {% endif %}
                                </td>
                                <td><input class="btn1-sm btn-orange" type="submit" name="{{ achievement.id }}"
                                           value="Edit"></td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>
{% endblock %}